Source: libfile-userconfig-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
                     libfile-homedir-perl,
                     libfile-remove-perl,
                     libfile-sharedir-perl,
                     libfile-copy-recursive-perl
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libfile-userconfig-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libfile-userconfig-perl.git
Homepage: https://metacpan.org/release/File-UserConfig

Package: libfile-userconfig-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libfile-homedir-perl,
         libfile-sharedir-perl,
         libfile-copy-recursive-perl
Multi-Arch: foreign
Description: provides configuration directory for applications
 Many modules or applications maintain a user-spec configuration data
 directory. And the implementation pattern is generally the same.
 .
 A directory like /home/myuser/.application is created and populating by a set
 of default files the first time an application runs, and from there on, the
 files in that directory are modified.
 .
 File::UserConfig provides standard, light and sub-classable default
 implementation of this concept that Does The Right Thing with the directory
 names.
